/* datos.css */

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  font-family:Arial, Helvetica, sans-serif;
}

body{
  overflow-x:hidden;
  position:relative;
  background:#f4f4f4;
  color:#111;
}

/* FONDO */

body::before{
  content:"";
  position:fixed;
  inset:0;
  background:url("supermercado.jpg");
  background-size:cover;
  background-position:center;
  filter:blur(3px) brightness(0.9);
  transform:scale(1.03);
  z-index:-3;
}

body::after{
  content:"";
  position:fixed;
  inset:0;
  background:
    linear-gradient(
      to bottom,
      rgba(255,255,255,0.78),
      rgba(255,255,255,0.82)
    );
  z-index:-2;
}
/* PAGE */

.page{
  width:100%;
  min-height:100vh;
  padding:45px;
  position:relative;
  backdrop-filter:blur(1px);
}

/* CONTAINER */

.container{
  max-width:1180px;
  margin:auto;
  display:flex;
  gap:60px;
  align-items:flex-start;
}

/* LEFT */

.left-side{
  width:360px;
}

.mini-badge{
  display:inline-flex;
  padding:12px 18px;
  border-radius:999px;
  background:rgba(255,255,255,0.82);
  backdrop-filter:blur(12px);
  color:#ff0000;
  font-size:13px;
  font-weight:bold;
  margin-bottom:28px;
  box-shadow:0 8px 20px rgba(0,0,0,0.05);
}

.left-side h1{
  font-size:72px;
  line-height:0.95;
  font-weight:900;
  margin-bottom:22px;
}

.left-side h1 span{
  display:block;
  color:#ff0000;
}

.left-side p{
  font-size:19px;
  line-height:1.7;
  color:#555;
  margin-bottom:40px;
}

/* INFO */

.info-list{
  display:flex;
  flex-direction:column;
  gap:18px;
}

.info-box{
  background:rgba(255,255,255,0.82);
  backdrop-filter:blur(14px);
  border-radius:24px;
  padding:20px;
  display:flex;
  align-items:center;
  gap:16px;
  box-shadow:0 10px 25px rgba(0,0,0,0.04);
}

.info-icon{
  width:56px;
  height:56px;
  border-radius:18px;
  background:#ff0000;
  color:white;
  display:flex;
  align-items:center;
  justify-content:center;
  font-size:24px;
  font-weight:bold;
}

.info-box h3{
  font-size:17px;
  margin-bottom:4px;
}

.info-box span{
  color:#777;
  font-size:14px;
}

/* RIGHT */

.right-side{
  flex:1;
}

/* TOP */

.top-form{
  display:flex;
  align-items:center;
  justify-content:space-between;
  margin-bottom:25px;
}

.step{
  color:#ff0000;
  font-size:14px;
  font-weight:bold;
}

.top-form h2{
  font-size:44px;
  margin-top:10px;
}

.secure-pill{
  background:rgba(255,255,255,0.85);
  backdrop-filter:blur(12px);
  border-radius:999px;
  padding:13px 20px;
  font-weight:bold;
  box-shadow:0 8px 20px rgba(0,0,0,0.04);
}

/* PROGRESS */

.progress{
  width:100%;
  height:8px;
  border-radius:999px;
  background:#e5e5e5;
  overflow:hidden;
  margin-bottom:30px;
}

.progress-fill{
  width:55%;
  height:100%;
  background:linear-gradient(to right,#ff0000,#d50000);
  border-radius:999px;
}

/* CARD */

.form-card{
  background:rgba(255,255,255,0.82);
  backdrop-filter:blur(18px);
  border-radius:34px;
  padding:40px;
  box-shadow:0 15px 35px rgba(0,0,0,0.04);
}

/* GRID */

.grid{
  display:grid;
  grid-template-columns:repeat(2,1fr);
  gap:22px;
}

.full-width{
  grid-column:1/3;
}

/* INPUTS */

.input-group{
  display:flex;
  flex-direction:column;
}

.input-group label{
  font-size:15px;
  font-weight:bold;
  margin-bottom:12px;
}

.input-group input{
  width:100%;
  height:64px;
  border-radius:20px;
  border:1px solid #ebebeb;
  background:rgba(255,255,255,0.75);
  padding:0 20px;
  font-size:15px;
  outline:none;
  transition:0.3s;
}

.input-group input:focus{
  border-color:#ff0000;
  background:white;
  box-shadow:0 0 20px rgba(255,0,0,0.07);
}

/* CHECKBOX */

.checkbox{
  display:flex;
  align-items:flex-start;
  gap:14px;
  margin-top:28px;
  cursor:pointer;
}

.checkbox input{
  display:none;
}

.check{
  width:24px;
  height:24px;
  min-width:24px;
  border-radius:8px;
  background:#ff0000;
  position:relative;
}

.check::after{
  content:"✔";
  position:absolute;
  color:white;
  font-size:13px;
  top:50%;
  left:50%;
  transform:translate(-50%,-50%);
}

.checkbox p{
  color:#666;
  line-height:1.6;
  font-size:14px;
}

/* BUTTON */

.continue-btn{
  width:100%;
  height:70px;
  border:none;
  border-radius:22px;
  background:linear-gradient(to right,#ff0000,#d10000);
  color:white;
  font-size:21px;
  font-weight:bold;
  cursor:pointer;
  margin-top:30px;
  transition:0.3s;
  box-shadow:0 15px 35px rgba(255,0,0,0.18);
}

.continue-btn:hover{
  transform:translateY(-3px);
}

/* RESPONSIVE */

@media(max-width:1150px){

  .container{
    flex-direction:column;
  }

  .left-side{
    width:100%;
  }

}

@media(max-width:700px){

  .page{
    padding:20px;
  }

  .left-side h1{
    font-size:48px;
  }

  .left-side p{
    font-size:17px;
  }

  .top-form{
    flex-direction:column;
    align-items:flex-start;
    gap:15px;
  }

  .top-form h2{
    font-size:32px;
  }

  .form-card{
    padding:26px;
    border-radius:26px;
  }

  .grid{
    grid-template-columns:1fr;
  }

  .full-width{
    grid-column:auto;
  }

  .input-group input{
    height:60px;
  }

  .continue-btn{
    height:64px;
    font-size:18px;
  }

}